From: =?utf-8?q?Timo_R=C3=B6hling?= <roehling@debian.org>
Date: Thu, 17 Mar 2022 11:08:28 +0100
Subject: Libatomic is needed by iceoryx_hoofs users

---
 iceoryx_hoofs/CMakeLists.txt | 1 +
 1 file changed, 1 insertion(+)

diff --git a/iceoryx_hoofs/CMakeLists.txt b/iceoryx_hoofs/CMakeLists.txt
index f4adebf..479be04 100644
--- a/iceoryx_hoofs/CMakeLists.txt
+++ b/iceoryx_hoofs/CMakeLists.txt
@@ -220,6 +220,7 @@ target_link_libraries(iceoryx_hoofs
 
 if(LINUX)
     target_link_libraries(iceoryx_hoofs PRIVATE acl atomic ${CODE_COVERAGE_LIBS})
+    target_link_libraries(iceoryx_hoofs INTERFACE atomic)
 endif()
 
 target_compile_options(iceoryx_hoofs PRIVATE ${ICEORYX_WARNINGS} ${ICEORYX_SANITIZER_FLAGS})
